OpenTTD Source: Blitter::BlitterParams Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
Blitter::BlitterParams Struct Reference

Parameters related to blitting. More...

`#include <base.hpp>`

## Data Fields
const void * | sprite
| Pointer to the sprite how ever the encoder stored it.
const uint8_t * | remap
| XXX – Temporary storage for remap array.
int | skip_left
| How much pixels of the source to skip on the left (based on zoom of dst)
int | skip_top
| How much pixels of the source to skip on the top (based on zoom of dst)
int | width
| The width in pixels that needs to be drawn to dst.
int | height
| The height in pixels that needs to be drawn to dst.
int | sprite_width
| Real width of the sprite.
int | sprite_height
| Real height of the sprite.
int | left
| The left offset in the 'dst' in pixels to start drawing.
int | top
| The top offset in the 'dst' in pixels to start drawing.
void * | dst
| Destination buffer.
int | pitch
| The pitch of the destination buffer.

## Detailed Description

Parameters related to blitting.

Definition at line 32 of file base.hpp.

## Field Documentation

## ◆ dst

void* Blitter::BlitterParams::dst

Destination buffer.

Definition at line 45 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ height

int Blitter::BlitterParams::height

The height in pixels that needs to be drawn to dst.

Definition at line 39 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ left

int Blitter::BlitterParams::left

The left offset in the 'dst' in pixels to start drawing.

Definition at line 42 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ pitch

int Blitter::BlitterParams::pitch

The pitch of the destination buffer.

Definition at line 46 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ remap

const uint8_t* Blitter::BlitterParams::remap

XXX – Temporary storage for remap array.

Definition at line 34 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ skip_left

int Blitter::BlitterParams::skip_left

How much pixels of the source to skip on the left (based on zoom of dst)

Definition at line 36 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ skip_top

int Blitter::BlitterParams::skip_top

How much pixels of the source to skip on the top (based on zoom of dst)

Definition at line 37 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ sprite

const void* Blitter::BlitterParams::sprite

Pointer to the sprite how ever the encoder stored it.

Definition at line 33 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ sprite_height

int Blitter::BlitterParams::sprite_height

Real height of the sprite.

Definition at line 41 of file base.hpp.

Referenced by GfxBlitter().

## ◆ sprite_width

int Blitter::BlitterParams::sprite_width

Real width of the sprite.

Definition at line 40 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppSimple::Draw(), and GfxBlitter().

## ◆ top

int Blitter::BlitterParams::top

The top offset in the 'dst' in pixels to start drawing.

Definition at line 43 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

## ◆ width

int Blitter::BlitterParams::width

The width in pixels that needs to be drawn to dst.

Definition at line 38 of file base.hpp.

Referenced by Blitter_32bppSimple::Draw(), Blitter_8bppOptimized::Draw(), Blitter_8bppSimple::Draw(), Blitter_32bppOptimized::Draw(), Blitter_40bppAnim::Draw(), and GfxBlitter().

The documentation for this struct was generated from the following file:

- src/blitter/base.hpp